﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using FCS.Common;
using FCS.Crawler.Basketball;
using FCS.Crawler.ZCLotteryAgainst;
using FCS.Crawler.ZCLotteryAsianDish;
using FCS.Crawler.ZCLotteryGames;
using FCS.Crawler.ZCLotteryGrouping;
using FCS.Crawler.ZCLotteryIP;
using FCS.Crawler.ZCLotteryMatchs;
using FCS.Crawler.ZCLotteryScore;
using FCS.Crawler.ZCLotterySizeIndex;
using FCS.Interface;
using FCS.Models;
using Quartz;

namespace FCS.Crawler
{
    public class UpdateJob : CommonJob, IJob
    {
        public UpdateJob()
        {
            logName = "UpdateJob";
        }
        public void Execute(IJobExecutionContext context)
        {
            Config = CommonHelper.GetConfigFromDataMap(context.JobDetail.JobDataMap);
            Click();
        }

        public void Click()
        {
            ThreadPool.SetMaxThreads(200, 200);
            CommonHelper.LogBD("Update开始", logName);
            new IPJob().GetIP();
            taskList.Add(Task.Run(() =>
            {
                new FootballMatchJob().GetAll();
                CommonHelper.LogBD("FootballMatchJob结束", logName);
                new GroupingJob().Click();
                CommonHelper.LogBD("GroupingJob结束", logName);
                new GamesJob().Click();
                CommonHelper.LogBD("GamesJob结束", logName);

            }));
            taskList.Add(Task.Run(() =>
            {
                new B_GroupingJob().Click();
                CommonHelper.LogBD("B_GroupingJob结束", logName);
                new B_TeamJob().GetAll();
                CommonHelper.LogBD("B_TeamJob结束", logName);
                new B_PlayerJob().GetAll();
                CommonHelper.LogBD("B_PlayerJob结束", logName);
                new B_GamesJob().Click();
                CommonHelper.LogBD("B_GamesJob结束", logName);

                new B_TeamStatisticsJob().Click();
                CommonHelper.LogBD("B_TeamStatisticsJob结束", logName);
                new B_SizeBallRankingJob().Click();
                CommonHelper.LogBD("B_SizeBallRankingJob结束", logName);
                new B_PlayersStatisticsJob().Click();
                CommonHelper.LogBD("B_PlayersStatisticsJob结束", logName);
                new B_MakeBallRankingJob().Click();
                CommonHelper.LogBD("B_MakeBallRankingJob结束", logName);
                new B_LeagueRankingJob().Click();
                CommonHelper.LogBD("B_LeagueRankingJob结束 篮球结束", logName);
            }));
            while (!CommonHelper.ThreadsFinsh())
                continue;
            ThreadPool.SetMaxThreads(50, 50);
            new Update_RealTimeJobToDay10().Click();
            CommonHelper.LogBD("Update结束", logName);
        }
    }

}
